Attribute VB_Name = "Module1"
Option Explicit

'Folgende Formulare und Controls werden verwendet:
'=================================================
'Formular: FrmInputBox
'mit den Controls:
'Label:         LblPrompt
'TextBox:       Text1
'CommandButton: BtnOK
'CommandButton: BtnCancel
'CommandButton: BtnHelp
'Formular: Form1
'mit den Controls:
'CommandButton: Command1
'CommandButton: Command2
'
Public Function PassWordBox( _
    ByVal Prompt As String, _
    Optional ByVal Title As String, _
    Optional ByVal Default As String, _
    Optional ByVal XPos As Long, _
    Optional ByVal YPos As Long, _
    Optional ByVal HelpFile As String, _
    Optional ByVal Context As Long _
) As String
  With New FrmInputBox
    .Text1.PasswordChar = "*"
    .LblPrompt = Prompt
    .Caption = Title
    .Text1.Text = Default
    .BorderStyle = 1
    .StrHelpFile = HelpFile
    .HelpContextID = Context
    If XPos <= 0 And YPos <= 0 Then
      XPos = (Screen.Width - .Width) / 2
      YPos = (Screen.Height - .Height) / 2 - .Height
    End If
    If Len(HelpFile) = 0 Then .BtnHelp.Visible = False
    Call .Move(XPos, YPos)
    PassWordBox = .ShowGetString
  End With
End Function
